## org.eclipse.m2m.atl.engine.emfvm.launch
Class EMFVMUILauncher

    java.lang.Object
      org.eclipse.m2m.atl.engine.emfvm.launch.EMFVMLauncher
          org.eclipse.m2m.atl.engine.emfvm.launch.EMFVMUILauncher

All Implemented Interfaces:
  ILauncher

    public class EMFVMUILauncher

extends EMFVMLauncher

The EMFVM UI extension of the `EMFVMLauncher`, which supports debug.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.engine.emfvm.launch.EMFVMLauncher
`LAUNCHER_NAME, libraries, MODEL_FACTORY_NAME, models`

Fields inherited from interface org.eclipse.m2m.atl.core.launch.ILauncher
`DEBUG_MODE, RUN_MODE`

Constructor Summary
`EMFVMUILauncher()`

Method Summary
`java.lang.String[]` `getModes()` Returns the supported modes.
`java.lang.Object` `launch(java.lang.String mode, org.eclipse.core.runtime.IProgressMonitor monitor, java.util.Map<java.lang.String,java.lang.Object> options, java.lang.Object... modules)` Launches the transformation using the given parameters and the given set of preloaded modules, or `InputStream`.

Methods inherited from class org.eclipse.m2m.atl.engine.emfvm.launch.EMFVMLauncher
`addInModel, addInOutModel, addLibrary, addModel, addOutModel, getASMFromObject, getDefaultModelFactoryName, getLibrary, getModel, getName, initialize, internalLaunch, loadModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFVMUILauncher

    public EMFVMUILauncher()

Method Detail

### launch

    public java.lang.Object launch(java.lang.String mode,
                                   org.eclipse.core.runtime.IProgressMonitor monitor,
                                   java.util.Map<java.lang.String,java.lang.Object> options,
                                   java.lang.Object... modules)

  Launches the transformation using the given parameters and the given set of preloaded modules, or `InputStream`.

  Specified by:
    `launch` in interface `ILauncher`
  Overrides:
    `launch` in class `EMFVMLauncher`
  Parameters:
    `mode` - the launching mode
    `monitor` - the progress monitor
    `options` - vm options
    `modules` - single module/ordered module set. A module set is used for superimposition, where the first module of the set is override by the next ones. A module can be passed as an InputStream or directly a module loaded by the loadModule method.
  Returns:
    the transformation return result
  See Also:
    `EMFVMLauncher.launch(java.lang.String, org.eclipse.core.runtime.IProgressMonitor, java.util.Map, java.lang.Object[])`

### getModes

    public java.lang.String[] getModes()

  Returns the supported modes.

  Specified by:
    `getModes` in interface `ILauncher`
  Overrides:
    `getModes` in class `EMFVMLauncher`
  Returns:
    the supported modes
  See Also:
    `ILauncher.getModes()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.